# Exiv2::FindMetadatumById Class Reference

Unary predicate that matches an Iptcdatum with given record and dataset. More...

`#include <iptc.hpp>`

List of all members.

## Public Member Functions

| FindMetadatumById (uint16_t dataset, uint16_t record)
| Constructor, initializes the object with the record and dataset id.
bool | operator() (const Iptcdatum &iptcdatum) const
| Returns true if the record and dataset id of the argument Iptcdatum is equal to that of the object.

## Detailed Description

Unary predicate that matches an Iptcdatum with given record and dataset.

The documentation for this class was generated from the following file:

- iptc.hpp